Public Class OnFlowFormStateChangedEvent
    Public Enum FlowFormState
        [Default]
        HasSearchResults
        HasFileDropped
    End Enum

    Public ReadOnly Property State As FlowFormState

    Public Sub New(State As FlowFormState)
        _State = State
    End Sub
End Class
